# WEB+DB PRESS Vol.131 現場のPythonサンプルコード

## 概要

2022年10月発売の[WEB+DB PRESS Vol.131](https://gihyo.jp/magazine/wdpress/archive/2022/vol131)連載「現場のPython【第15回】JanomeとSudachiPyによる日本語処理」のサンプルコードです。

## 動作確認したバージョン

* Python 3.10.7
* Janome 0.4.2
* SudachiPy 0.6.6
* SudachiDict-full 20220729

## 環境構築

以下の手順でPythonの[venv](https://docs.python.org/ja/3.10/library/venv.html)で仮想環境を作成して、ライブラリをインストールします。

* macOS、Linuxの場合

```bash
$ python3.10 -m venv venv
$ . venv/bin/activate
(venv) $ pip install -r requirements.txt
```

* Windowsの場合

```console
> python -m venv venv
> Set-ExecutionPolicy RemoteSigned -Scope CurrentUser -Force
> venv/Scripts/Activate.ps1
(venv) > pip install -r requirements.txt
```

## ファイルの説明

以下は記事の中に出てきたコード、設定ファイル、辞書ファイルです。

* `furigana1.py`〜`furigana7.py`: フリガナを振るプログラム
* `furigana1.html`〜`furigana7.html`: フリガナを振るプログラムの実行結果を保存したHTMLファイル
  * `furigana7.html` のみ以下のように3コマンドの実行結果をまとめています。

```bash
(venv) $ python furigana7.py "か条書き" > furigana7.html 
(venv) $ python furigana7.py "四字熟語" >> furigana7.html 
(venv) $ python furigana7.py "日本出身" >> furigana7.html 
```

* `requirements.txt`: venv用にライブラリをまとめたファイル(環境構築で使用)
* `sample.html`: 図1の表示用のHTMLファイル
* `sudachi.json`: SudachiPyの設定ファイル
* `sudachi_dic1.csv`〜`sudachi_dic3.csv`: SudachiPy用のユーザー辞書CSV
* `user.dic`: `sudachipy build`コマンドで作成いたユーザ辞書ファイル(`sudachi_dic3.csv`をbuildしたもの)
* `user_dict.csv`: Janomeのユーザー定義辞書
